Subject: Re: [PATCH] powerpc/mm: Always invalidate tlb on hpte invalidate and update

From: Michael Ellerman <[email-masked]>
Date: Sat, 1 Jun 2013 21:19:08 +1000

On Fri, May 31, 2013 at 04:33:24PM +0530, Aneesh Kumar K.V wrote:
> From: "Aneesh Kumar K.V" <[email-masked]>
> 
> If a hash bucket gets full, we "evict" a more/less random entry from it.
> When we do that we don't invalidate the TLB (hpte_remove) because we assume
> the old translation is still technically "valid". This implies that when
> we are invalidating or updating pte, even if HPTE entry is not valid
> we should do a tlb invalidate.
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Has this always been a bug? I assume not.

I'm asking because I have a kernel that's crashing and I'm wondering if
I might need this commit.

cheers